Browse Source

test env: added upper version constraint for pygobject to keep compatibility with python3.5

Fabian Peter Hammerle 1 week ago
parent
commit
abdfbce957
2 changed files with 4 additions and 1 deletions
  1. 2 0
      Pipfile
  2. 2 1
      Pipfile.lock

+ 2 - 0
Pipfile

@@ -10,6 +10,8 @@ systemctl-mqtt = {editable = true,path = "."}
 # systemctl-mqtt > PyGObject > pycairo
 # https://github.com/pygobject/pycairo/commit/6fb84db03704e98acedda3514680a62e05d1b80f#diff-60f61ab7a8d1910d86d9fda2261620314edcae5894d5aaa236b821c7256badd7R613
 pycairo = "<1.20"
+# https://gitlab.gnome.org/GNOME/pygobject/-/commit/6ffc87e51694abd03aed2d42683d65caa74e313d#25c091fe9b353e5846c7f662d58067fd7cebe0f8_21_21
+pygobject = "<3.40"
 
 [dev-packages]
 # black requires python>=3.6

+ 2 - 1
Pipfile.lock

@@ -1,7 +1,7 @@
 {
     "_meta": {
         "hash": {
-            "sha256": "2cd8d8036a8d9ad0c69afa6b4dcbda719e2a70b7996da60fcf76d4a27470e165"
+            "sha256": "43a4478acc9162944c00400ae679499fbcfd893ae5c9f466fda4ad54a4f505d3"
         },
         "pipfile-spec": 6,
         "requires": {
@@ -39,6 +39,7 @@
             "hashes": [
                 "sha256:051b950f509f2e9f125add96c1493bde987c527f7a0c15a1f7b69d6d1c3cd8e6"
             ],
+            "index": "pypi",
             "version": "==3.38.0"
         },
         "systemctl-mqtt": {